#! /bin/bash

# questa funzione pulisce la struttura da precedenti rese , quindi cancella file
#temporanei , makefile derivabili da Imakefile . Lascia intatti i file .arg e i fle vw per una possibile 
#ulteriore resa 

source tempfile.sh

clear
echo "STO PER CANCELLARE I FILE GENERATI DA RESE PRECEDENTI , CONTINUARE ( Y / N ) ?"
read risp
if [[ $risp != "Y" ]] 
then
	echo "cancellazione annullata"
	exit 0 
fi

echo "CANCELLARE ANCHE TUTTE LE RESE FATTE ( FILE .HR ) ( Y / N ) ?"
read risp

#ottengo un file temporaneo per scrivere i file da cancellare 
temp1=`tempfile`
#trovo i makefile generati 
find . -name "Makefile" >> $temp1
# per ogni make file richiamo il make clean per togliere gli esecutivi creati e i file oggetto ( .o ) 
# e trovo le rese prodotte e i file generati da xcmodel 
for make_elem in `cat $temp1`
do
	# trovo la directory del makefile
	make_dir=`dirname $make_elem`
	( cd $make_dir && make clean ) 
# inserisco da cancellare i file generati da xcmodel
find $make_dir -maxdepth 1 -name "*.md" >> $temp1
find $make_dir -maxdepth 1 -name "*.sta" >> $temp1
# come richiesto precedentemente , cancello le rese solo se richiesto
if [[ $risp == "Y" ]] 
then
	find $make_dir -maxdepth 1 -name "*.hr" >> $temp1
fi
find $make_dir -maxdepth 1 -name "*ani" >> $temp1
done

# cancello tutti i file trovati
for elem in `cat $temp1`
do
	rm -f $elem
done
 
# cancello il file temporaneo
deleteALLtempfile

echo "CANCELLAZIONE EFFETTUATA"

