#include "corpo.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , corazza_a , v_a , addome_a ;
	corpo* new ;
	/* carico gli attributi */
	corazza_a = create_attribute("corazza_a");
	set_color(corazza_a,0.1,0.1,0.1,0.3,0.7);
	v_a = create_attribute("v_a");
	set_color(v_a,1.0,0.0,0.0,0.3,0.7);
	addome_a = create_attribute("addome_a");
	set_color(addome_a,0.95,0.95,0.95,0.3,0.7);
	/* creo l' oggetto */
	new = new_corpo( "corpo" , "" , &corazza_a , &v_a , &addome_a ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 10.0,		    
					   1.0, 1.0, 1.0,
		1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_corpo.md", "scena", scena);
	return 0 ;
}
