#include "aeratore_centrale.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , aer_attr , sfondo_attr ;
	aeratore_centrale* new ;
	/* carico gli attributi */
	aer_attr = create_attribute("aer_attr");
	sfondo_attr = create_attribute("sfondo_attr");
	set_color(aer_attr,0.0,1.0,0.0,0.3,0.7);
	set_color(sfondo_attr,1.0,0.0,0.0,0.3,0.7);
	/* creo l' oggetto */
	new = new_aeratore_centrale( "aeratore" , "" , &sfondo_attr , &aer_attr ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 10.0,		    
					   1.0, 1.0, 1.0,
		1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_aeratore_centrale.md", "scena", scena);
	return 0 ;
}
