#include "bocca.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , attr ;
	bocca* new ;
	/* carico gli attributi */
	attr = create_attribute("bocca_attr");
	set_color(attr,0.0,1.0,0.0,0.3,0.7);
	/* creo l' oggetto */
	new = new_bocca( "test" , "" , &attr ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 10.0,		    
					   1.0, 1.0, 1.0,
		1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("bocca.md", "scena", scena);
	return 0 ;
}
