#include "testa.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , occhi_a , corna_a , viso_a , maschera_a , saldature_a , interno_aeratori_a , jet_pilder_a , fari_jet_a , parabrezza_jet_a ;
	testa* new ;
	/* carico gli attributi */
	occhi_a = create_attribute("occhi_a");
	set_color(occhi_a,1.0,1.0,0.0,0.3,0.7);
	corna_a = create_attribute("corna_a");
	set_color(corna_a,1.0,1.0,0.0,0.3,0.7);
	viso_a = create_attribute("viso_a");
	set_color(viso_a,0.0,0.0,1.0,0.3,0.7);
	maschera_a = create_attribute("maschera_a");
	set_color(maschera_a,0.6,0.6,0.6,0.3,0.7);
	saldature_a = create_attribute("saldature_a");
	set_color(saldature_a,0.0,0.0,0.0,0.3,0.7);
	interno_aeratori_a = create_attribute("interno_aeratori_a");
	set_color(interno_aeratori_a,0.0,0.0,0.0,0.3,0.7);
	jet_pilder_a = create_attribute("jet_pilder_a");
	set_color(jet_pilder_a,1.0,0.0,0.0,0.3,0.7);
	fari_jet_a = create_attribute("fari_jet_a");
	set_color(fari_jet_a,1.0,1.0,0.0,0.3,0.7);
	parabrezza_jet_a = create_attribute("parabrezza_jet_a");
	set_color(parabrezza_jet_a,0.1,0.1,0.1,0.3,0.7);
	set_reflectivity(parabrezza_jet_a, 0.6, 2.0);
	/* creo l' oggetto */
	new = new_testa( "testa" , "" , &occhi_a , &corna_a ,&viso_a , &maschera_a , &saldature_a , &interno_aeratori_a , &jet_pilder_a , &parabrezza_jet_a ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 10.0,		    
					   1.0, 1.0, 1.0,
		1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_testa.md", "scena", scena);
	return 0 ;
}
