#! /bin/bash

# crea un file temporaneo nella cartella temp e stampa sullo standard input il path assoluto del file appena creato , Questa funzione non richiede input , se inseriti vengono ignorati .

tempfile() {
	# creo un nome univoco per il file , formato da un numero random e il tempo attuale
	now=`date +%d_%H_%M_%S_%N`
	base=`echo -n $USER ; echo -n _ ; echo -n $RANDOM ; echo -n _ ; echo -n $now`
	# aggiungo il path di temp e il tipo di file
	total=`echo -n /tmp/ ; echo -n $base ; echo .tempfile`
	touch $total
	# spedisco un echo cosi da poter catturare il path del file appena creato 
	echo $total
}

# lista tutti i file temporanei appartenenti all' utente presenti in /tmp 
listALLtempfile() {
	cd /tmp
	ls -l $USER*.tempfile
}

# richiamando questa funzione , si cancellano tutti i temp file creati nella directory tmp
deleteALLtempfile() {
	cd /tmp
	rm -f $USER*.tempfile
}
