#include "braccia_superiori.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , braccio_attr , gomito_attr ;
	braccia_sup* new ;
	/* carico gli attributi */
	braccio_attr = create_attribute("braccio_attr");
	set_color(braccio_attr,0.7,0.7,0.7,0.3,0.7);
	gomito_attr = create_attribute("gomito_attr");
	set_color(gomito_attr,0.0,0.0,0.0,0.3,0.7);
	new = new_braccia_sup( "test" , "" , &braccio_attr , &gomito_attr ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(10.0, 10.0, 10.0,1.0, 1.0, 1.0,1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_braccia_superiori.md", "scena", scena);
	return 0 ;
}
