#include "braccia.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , spalle_a , giunture_a , parte_sup_a , parte_inf_a ;
	braccia* new ;
	/* carico gli attributi */
	spalle_a = create_attribute("spalle_a");
	set_color(spalle_a,0.1,0.1,0.1,0.3,0.7);
	set_reflectivity(spalle_a, 0.6, 2.0);
	giunture_a = create_attribute("giunture_a");
	set_color(giunture_a,0.3,0.3,0.3,0.3,0.7);
	set_reflectivity(giunture_a, 0.6, 2.0);
	parte_sup_a = create_attribute("parte_sup_a");
	set_color(parte_sup_a,0.95,0.95,0.95,0.3,0.7);
	set_reflectivity(parte_sup_a, 0.6, 2.0);
	parte_inf_a = create_attribute("parte_inf_a");
	set_color(parte_inf_a,0.0,0.0,1.0,0.3,0.7);
	set_reflectivity(parte_inf_a, 0.6, 2.0);
	/* creo l' oggetto */
	new = new_braccia( "braccia" , "" , &spalle_a , &giunture_a , &parte_sup_a , &parte_inf_a ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 0.0,1.0, 1.0, 1.0,1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_braccia.md", "scena", scena);
	return 0 ;
}
