#include "corna_orecchie.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , corno_attr , orecchio_attr ;
	corna_orecchie* new ;
	/* carico gli attributi */
	corno_attr = create_attribute("corno_attr");
	orecchio_attr = create_attribute("orecchio_attr");
	set_color(corno_attr,0.0,1.0,0.0,0.3,0.7);
	set_color(orecchio_attr,1.0,0.0,0.0,0.3,0.7);
	new = new_corna_orecchie( "test" , "" , &corno_attr , &orecchio_attr) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 10.0,		    
					   1.0, 1.0, 1.0,
		1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_corna_orecchie.md", "scena", scena);
	return 0 ;
}
