#include "occhi.e" 
#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena , int_attr , ext_attr ;
	occhi* new ;

	/* carico gli attributi */
	int_attr = create_attribute("int_attr");
	ext_attr = create_attribute("ext_attr");
	set_color(int_attr,0.0,1.0,0.0,0.3,0.7);
	set_color(ext_attr,1.0,0.0,0.0,0.3,0.7);
	new = new_occhi( "test" , "" , &int_attr , &ext_attr) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	create_point_light(8.0, 0.0, 10.0,		    
					   1.0, 1.0, 1.0,
		1.0, 0.0, "Point-Light");
	/* caricamento dell' oggetto nella scena */
	scena = create_list(new->list, "Scena");
	save_scene("test_occhi.md", "scena", scena);
	return 0 ;
}
