#include "mazinga/mazinga.e"
#include "Taj-Mahl/TajMahal.e"
#include "sfondo/sfondo.e"
#include "Enterprise/enterprise.e"

#include "descriptor/descriptor.h"
#include <stdio.h>

int main(){
	ITEM scena ;
	/* creo le strutture da rendere */
	mazinga *maz ;
	 sfondo *sfo ;
	ITEM *taj , *enter ;
	maz = new_mazinga( "mazinga" , "mazinga" ) ;
	sfo = new_sfondo( "sfondo" , "sfondo" ) ;
	taj = new_tajmahal( "Taj-Mahl" ) ;
	enter = new_enterprise( "Enterprise" ) ;
	/* Sfondo e Luci */
	set_background(1.0, 1.0, 1.0, TRUE);
	set_ambient_light(1.0, 1.0, 1.0, 1.0);
	// create_point_light(8.0, 0.0, 10.0,1.0, 1.0, 1.0,1.0, 0.0, "Point-Light");
	create_point_light(16.0, 0.0, 10.0,1.0, 1.0, 1.0,1.0, 0.0, "Point-Light");
	/* ridimensiono le figure */
	/* dispongo il mazinga davanti al tajmahal */
	set_translate( *taj , 2.0, 0.0, 0.0 );
	set_scale(maz->list, 0.2,0.2, 0.2);
	set_translate(maz->list, 5.0, 0.0, 1.2 );
	/* dispongo l' enterprise */
	/* all' inizio del volo */
	set_translate( *enter , 20.0, 0.0, 4.0 );
	/* caricamento gli oggetti nella scena */
	scena = create_list(maz->list, "Scena");
	scena = insert_in_list( scena , sfo->list ) ;
	scena = insert_in_list( scena , *taj ) ;
	// scena = insert_in_list( scena , *enter ) ;
	save_scene("test_scena_mazinga.md", "scena", scena);
	return 0 ;
}
